## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

# prevent library files from being installed
%global cargo_install_lib 0

%global crate hidpipe

Name:           rust-hidpipe
Version:        0.1.1
Release:        %autorelease
Summary:        Pass hid devices to micro vms

License:        MIT
URL:            https://crates.io/crates/hidpipe
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Bump udev to 0.9: https://github.com/AsahiLinux/hidpipe/pull/6
Patch:          hidpipe-fix-metadata.diff
Patch:          https://rosenzweig.io/0001-src-client-Wait-for-half-a-second-to-sync-up-with-th.patch

BuildRequires:  cargo-rpm-macros >= 26
BuildRequires:  systemd-rpm-macros

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch: %{ix86}

%global _description %{expand:
Pass hid devices to micro vms.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
License:        (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND MIT AND (MIT OR Apache-2.0)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/hidpipe-client
%{_bindir}/hidpipe-server
%{_userunitdir}/hidpipe.service
%{_userunitdir}/hidpipe.socket

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
install -Dpm0644 -t %{buildroot}%{_userunitdir} etc/systemd/user/hidpipe.{service,socket}

%post
%systemd_user_post hidapi.service hidapi.socket

%preun
%systemd_user_preun hidapi.service hidapi.socket

%postun
%systemd_user_postun_with_restart hidapi.service hidapi.socket

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Oct 08 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.1-3
- Race condition bugfix

* Tue Oct 08 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.1-2
- Drop i686 as it fails to build

* Tue Oct 08 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.1-1
- Initial import; Fixes: RHBZ#2317121
## END: Generated by rpmautospec
